Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.ejb.criteria.expression
Enum SubqueryComparisonModifierExpression.Modifier

    java.lang.Object
      java.lang.Enum<SubqueryComparisonModifierExpression.Modifier>
          org.hibernate.ejb.criteria.expression.SubqueryComparisonModifierExpression.Modifier

All Implemented Interfaces:
  Serializable, Comparable<SubqueryComparisonModifierExpression.Modifier>

Enclosing class:
  SubqueryComparisonModifierExpression<Y>

    public static enum SubqueryComparisonModifierExpression.Modifier

extends Enum<SubqueryComparisonModifierExpression.Modifier>

Enum Constant Summary
`ALL`
`ANY`
`SOME`

Method Summary
`static SubqueryComparisonModifierExpression.Modifier` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SubqueryComparisonModifierExpression.Modifier[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALL

    public static final SubqueryComparisonModifierExpression.Modifier ALL

### SOME

    public static final SubqueryComparisonModifierExpression.Modifier SOME

### ANY

    public static final SubqueryComparisonModifierExpression.Modifier ANY

Method Detail

### values

    public static SubqueryComparisonModifierExpression.Modifier[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SubqueryComparisonModifierExpression.Modifier c : SubqueryComparisonModifierExpression.Modifier.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SubqueryComparisonModifierExpression.Modifier valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.